Loading...
Searching...
No Matches
dyscostman::ThreadedDyscoColumn< DataType >::Header Struct Reference

## Public Member Functions

virtual void | Serialize (std::ostream &stream) const override
virtual void | Unserialize (std::istream &stream) override
Public Member Functions inherited from Serializable
virtual | ~Serializable ()

## Static Public Member Functions

static uint32_t | Size ()
Static Public Member Functions inherited from Serializable
template<typename T>
static void | SerializeToUInt64 (std::ostream &stream, T value)
template<typename T>
static void | SerializeToUInt32 (std::ostream &stream, T value)
template<typename T>
static void | SerializeToUInt16 (std::ostream &stream, T value)
template<typename T>
static void | SerializeToUInt8 (std::ostream &stream, T value)
static void | SerializeToBool8 (std::ostream &stream, bool value)
static void | SerializeToFloat (std::ostream &stream, float value)
static void | SerializeToDouble (std::ostream &stream, double value)
static void | SerializeToLDouble (std::ostream &stream, long double value)
static void | SerializeToLDoubleC (std::ostream &stream, std::complex< long double > value)
static void | SerializeToString (std::ostream &stream, const std::string &str)
static void | SerializeTo32bString (std::ostream &stream, const std::string &str)
static uint64_t | UnserializeUInt64 (std::istream &stream)
static uint32_t | UnserializeUInt32 (std::istream &stream)
static uint16_t | UnserializeUInt16 (std::istream &stream)
static uint8_t | UnserializeUInt8 (std::istream &stream)
static bool | UnserializeBool8 (std::istream &stream)
static double | UnserializeFloat (std::istream &stream)
static double | UnserializeDouble (std::istream &stream)
static long double | UnserializeLDouble (std::istream &stream)
static std::complex< long double > | UnserializeLDoubleC (std::istream &stream)
static void | UnserializeString (std::istream &stream, std::string &destStr)
static void | Unserialize32bString (std::istream &stream, std::string &destStr)

## Public Attributes

uint32_t | blockSize
uint32_t | antennaCount

## Detailed Description

template<typename DataType>
struct dyscostman::ThreadedDyscoColumn< DataType >::Header

Definition at line 158 of file threadeddyscocolumn.h.

## Member Function Documentation

## Serialize()

template<typename DataType>

virtual void dyscostman::ThreadedDyscoColumn< DataType >::Header::Serialize | ( | std::ostream & | stream | ) | const

inline override virtual

Implements Serializable.

Definition at line 164 of file threadeddyscocolumn.h.

References antennaCount, blockSize, and Serializable::SerializeToUInt32().

## Size()

template<typename DataType>

uint32_t dyscostman::ThreadedDyscoColumn< DataType >::Header::Size | ( |  | ) |

inline static

Definition at line 162 of file threadeddyscocolumn.h.

Referenced by dyscostman::ThreadedDyscoColumn< DataType >::ExtraHeaderSize().

## Unserialize()

template<typename DataType>

virtual void dyscostman::ThreadedDyscoColumn< DataType >::Header::Unserialize | ( | std::istream & | stream | ) |

inline override virtual

Implements Serializable.

Definition at line 169 of file threadeddyscocolumn.h.

References antennaCount, blockSize, and Serializable::UnserializeUInt32().

## Member Data Documentation

## antennaCount

template<typename DataType>

uint32_t dyscostman::ThreadedDyscoColumn< DataType >::Header::antennaCount

Definition at line 160 of file threadeddyscocolumn.h.

Referenced by Serialize(), and Unserialize().

## blockSize

template<typename DataType>

uint32_t dyscostman::ThreadedDyscoColumn< DataType >::Header::blockSize

Definition at line 159 of file threadeddyscocolumn.h.

Referenced by Serialize(), and Unserialize().

The documentation for this struct was generated from the following file:

- tables/Dysco/threadeddyscocolumn.h